Package wx :: Package lib :: Package agw :: Module fmcustomizedlg :: Class FMCustomizeDlg

[frames | no frames]

## Type FMCustomizeDlg

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                FMCustomizeDlg

Class used to customize the appearance of FlatMenu, FlatMenuBar and FlatToolbar.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``CloseDialog`(self)` Closes the dialog.
| ``ConnectEvents`(self)` Do nothing at the moment.
| ``CreateDialog`(self)` Actually creates the dialog.
| ``CreateMenusPage`(self)` Creates the LabelBook pages with FlatMenu information.
| ``CreateOptionsPage`(self)` Creates the LabelBook option page that holds FlatMenu styles.
| ``CreateShortcutsPage`(self)` Creates the LabelBook shorcuts page.
| ``Initialise`(self)` Initialzes the LabelBook pages.
| ``OnChangeStyle`(self, event)` Handles the wx.EVT_CHECKBOX event for FMCustomizeDlg.
| ``OnMenuChecked`(self, event)` Handles the wx.EVT_CHECKBOX event for FMCustomizeDlg.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent=None)
(Constructor)

Default class constructor.

  Overrides:
    `wx.Dialog.__init__`

### CloseDialog(self)

Closes the dialog.

### ConnectEvents(self)

Do nothing at the moment.

### CreateDialog(self)

Actually creates the dialog.

### CreateMenusPage(self)

Creates the LabelBook pages with FlatMenu information.

### CreateOptionsPage(self)

Creates the LabelBook option page that holds FlatMenu styles.

### CreateShortcutsPage(self)

Creates the LabelBook shorcuts page.

### Initialise(self)

Initialzes the LabelBook pages.

### OnChangeStyle(self, event)

Handles the wx.EVT_CHECKBOX event for FMCustomizeDlg.

### OnMenuChecked(self, event)

Handles the wx.EVT_CHECKBOX event for FMCustomizeDlg.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:32 2009 | http://epydoc.sf.net